      subroutine mulcvvo(a1,b1,x1,i1,aa)
      use module
      IMPLICIT REAL(8)(A-H,O-X,Z),logical(1)(y)
      dimension aa(3)
      integer x1,i1,b1,a1
      call mulcvovd(x1,a1,i1,b1,aa(3),aa(2))
      call mulcvovd(x1,b1,i1,a1,aa(3),aa(1))
      if(igener>2)call mulcovvd(x1,i1,a1,b1,aa(1),aa(2))
      return
      end
       subroutine mulcveo(a1,x1,i1,aa)
      use module
      IMPLICIT REAL(8)(A-H,O-X,Z),logical(1)(y)
      dimension aa(2)
      integer x1,a1,i1,x
      call mulcvovd(x1,a1,i1,a1,aa(2),aa(1))
      if(igener>2)call mulcovvd(x1,i1,a1,a1,aa(1),aa(2))
      return
      end
 
